--
-- StollFZAttacher
--
-- @author Geri-G
-- @date  16/07/2011 v1.0 LS11
-- @web www.geri-g.de
--
-- Copyright (C) Geri-G, All Rights Reserved.

StollFZAttacher = {};
Vehicle.registerJointType("Stollf_FZ_frontloaderTool");
function StollFZAttacher.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;
Vehicle.registerJointType("Stollf_FZ_frontloader");
function StollFZAttacher:load(xmlFile)
	self.linkNode = Utils.indexToObject(self.components, getXMLString(xmlFile,"vehicle.frontloader#linkNode"));
	self.isStollFzAttacher = true;
	self.FLAttachRootNode = Utils.indexToObject(self.components, Utils.getNoNil(getXMLString(xmlFile,"vehicle.frontloader#attachedToolsRootNode"), "0>"));
end;

function StollFZAttacher:delete()
end;

function StollFZAttacher:mouseEvent(posX, posY, isDown, isUp, button)
end;

function StollFZAttacher:keyEvent(unicode, sym, modifier, isDown)
end;

function StollFZAttacher:update(dt)

end;

function StollFZAttacher:updateTick(dt)

end;

function StollFZAttacher:draw()
end;
